Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2451 - pwdb_chkpwd should not be setuid root
Summary: pwdb_chkpwd should not be setuid root
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-30 22:32 UTC by monnier+lists/redhat/bugs
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-30 15:57:15 UTC


Attachments (Terms of Use)

Description monnier+lists/redhat/bugs 1999-04-30 22:32:46 UTC
pwdb_chkpwd doesn't need to be setuid root as far as I can
see.  setgid `shadow' should be sufficient, just like
utempter is only setgid `utmp'.

Comment 1 Chris Evans 1999-05-08 12:46:59 UTC
Good point, I agree completely :-)

Comment 2 Cristian Gafton 1999-07-30 15:57:59 UTC
Not all sites implement setgid shadow scheme.


Note You need to log in before you can comment on or make changes to this bug.